/* ---------------------------------------------------------- */
/* @(#) KXI.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* Citrix XenServer Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005, 2011 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* ---------------------------------------------------------- */
/* General section.  Applies to all products                  */
/* ---------------------------------------------------------- */

/* Tasks */

/* Situations */
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KXI"
 AND OBJNAME = "KXI_Invalid_Host_Configured"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KXI_Invalid_Host_Configured"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kxi:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KXI            000000000100000000",
"*NO",
"*YES",
"",
" ",
"1110525000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KXI_AGENT_TRACE_LOG.Text *EQ 'is not reported as a pool membe
r by the pool master.'",
"E",
"0",
"000000",
"*NONE",
"KXI_Invalid_Host_Configured",
"Kxi:KXI1000",
"NNN",
"ATOM=KXITRCELOG.DATE;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KXI" ,
  "KXI_Invalid_Host_Configured" ,
  "Y" ,
  "1110525000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KXI"
 AND OBJNAME = "KXI_Host_Match_Made"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KXI_Host_Match_Made"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kxi:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KXI            000000000100000000",
"*NO",
"*YES",
"",
" ",
"1110525000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KXI_AGENT_TRACE_LOG.Text *EQ 'Used possible match of'",
"E",
"0",
"000000",
"*NONE",
"KXI_Host_Match_Made",
"Kxi:KXI1001",
"NNN",
"ATOM=KXITRCELOG.DATE;SEV=Harmless",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KXI" ,
  "KXI_Host_Match_Made" ,
  "Y" ,
  "1110525000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KXI"
 AND OBJNAME = "KXI_Unconfigured_Host"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KXI_Unconfigured_Host"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kxi:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KXI            000000000100000000",
"*NO",
"*YES",
"",
" ",
"1110525000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KXI_AGENT_TRACE_LOG.Text *EQ 'Verify host has been defined in
 the agent configuration'",
"E",
"0",
"000000",
"*NONE",
"KXI_Unconfigured_Host",
"Kxi:KXI1002",
"NNN",
"ATOM=KXITRCELOG.DATE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KXI" ,
  "KXI_Unconfigured_Host" ,
  "Y" ,
  "1110525000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KXI"
 AND OBJNAME = "KXI_Pool_Master_Changed"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KXI_Pool_Master_Changed"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kxi:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KXI            000000000100000000",
"*NO",
"*YES",
"",
" ",
"1110525000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KXI_POOL_MASTER_EVENTS.event_new_host *NE 'A_NEW_VALUE'",
"E",
"0",
"000000",
"*NONE",
"KXI_Pool_Master_Changed",
"Kxi:KXI1003",
"NNN",
"ATOM=KXIPMCHANG.PREVPLMSTR;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KXI" ,
  "KXI_Pool_Master_Changed" ,
  "Y" ,
  "1110525000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KXI"
 AND OBJNAME = "KXI_Connection_Failure"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KXI_Connection_Failure"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kxi:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KXI            000000000100000000",
"*NO",
"*YES",
"",
" ",
"1110525000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KXI_AGENT_CONNECTION_STATUS.poolmaster_found *EQ 'False'",
"E",
"0",
"000030",
"*NONE",
"KXI_Connection_Failure",
"Kxi:KXI1004",
"NNN",
"ATOM=KXIXENMFND.XMFFOUND;SEV=Fatal",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KXI" ,
  "KXI_Connection_Failure" ,
  "Y" ,
  "1110525000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KXIXHV"
 AND OBJNAME = "KXI_VM_CPU_Util_High"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KXI_VM_CPU_Util_High"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kxi:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KXIXHV         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1110525000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KXI_HOST_VMS.metric_vcpu_utilization *GE 90",
"E",
"0",
"000100",
"*NONE",
"KXI_VM_CPU_Util_High",
"Kxi:KXI1005",
"NNN",
"ATOM=KXIHVVMSUB.VMNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KXIXHV" ,
  "KXI_VM_CPU_Util_High" ,
  "Y" ,
  "1110525000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KXIXHV"
 AND OBJNAME = "KXI_VM_Memory_Util_High"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KXI_VM_Memory_Util_High"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kxi:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KXIXHV         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1110525000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KXI_HOST_VMS.memory_percent_used *GE 90",
"E",
"0",
"000100",
"*NONE",
"KXI_VM_Memory_Util_High",
"Kxi:KXI1006",
"NNN",
"ATOM=KXIHVVMSUB.VMNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KXIXHV" ,
  "KXI_VM_Memory_Util_High" ,
  "Y" ,
  "1110525000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KXIXHV"
 AND OBJNAME = "KXI_VM_XenTools_Not_Installed"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KXI_VM_XenTools_Not_Installed"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kxi:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KXIXHV         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1110525000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KXI_HOST_VMS.xentools_status *EQ 'Not Installed'",
"E",
"0",
"040000",
"*NONE",
"KXI_VM_XenTools_Not_Installed",
"Kxi:KXI1007",
"NNN",
"ATOM=KXIHVVMSUB.VMNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KXIXHV" ,
  "KXI_VM_XenTools_Not_Installed" ,
  "Y" ,
  "1110525000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KXIXHV"
 AND OBJNAME = "KXI_VM_XenTools_Out_of_Date"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KXI_VM_XenTools_Out_of_Date"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kxi:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KXIXHV         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1110525000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KXI_HOST_VMS.xentools_status *EQ 'Out of Date'",
"E",
"0",
"040000",
"*NONE",
"KXI_VM_XenTools_Out_of_Date",
"Kxi:KXI1008",
"NNN",
"ATOM=KXIHVVMSUB.VMNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KXIXHV" ,
  "KXI_VM_XenTools_Out_of_Date" ,
  "Y" ,
  "1110525000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KXIXHV"
 AND OBJNAME = "KXI_XenServer_Host_Disabled"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KXI_XenServer_Host_Disabled"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kxi:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KXIXHV         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1110525000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KXI_HOST_DETAILS.enabled *EQ No *AND *VALUE
 KXI_HOST_DETAILS.live *EQ Yes",
"E",
"0",
"000100",
"*NONE",
"KXI_XenServer_Host_Disabled",
"Kxi:KXI1009",
"NNN",
"ATOM=KXIHVHODET.HOSTNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KXIXHV" ,
  "KXI_XenServer_Host_Disabled" ,
  "Y" ,
  "1110525000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KXIXHV"
 AND OBJNAME = "KXI_XenServer_Host_Unreachable"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KXI_XenServer_Host_Unreachable"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kxi:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KXIXHV         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1110525000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KXI_HOST_DETAILS.live *EQ No",
"E",
"0",
"000100",
"*NONE",
"KXI_XenServer_Host_Unreachable",
"Kxi:KXI1010",
"NNN",
"ATOM=KXIHVHODET.HOSTNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KXIXHV" ,
  "KXI_XenServer_Host_Unreachable" ,
  "Y" ,
  "1110525000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KXIXHV"
 AND OBJNAME = "KXI_Host_CPU_Util_High"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KXI_Host_CPU_Util_High"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kxi:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KXIXHV         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1110525000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KXI_HOST_DETAILS.aggregate_cpu_utilisation *GE 90",
"E",
"0",
"000500",
"*NONE",
"KXI_Host_CPU_Util_High",
"Kxi:KXI1011",
"NNN",
"ATOM=KXIHVHODET.HOSTNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KXIXHV" ,
  "KXI_Host_CPU_Util_High" ,
  "Y" ,
  "1110525000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KXIXHV"
 AND OBJNAME = "KXI_Host_Memory_Util_High"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KXI_Host_Memory_Util_High"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kxi:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KXIXHV         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1110525000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KXI_HOST_DETAILS.memory_percent_used *GE 90",
"E",
"0",
"000500",
"*NONE",
"KXI_Host_Memory_Util_High",
"Kxi:KXI1012",
"NNN",
"ATOM=KXIHVHODET.HOSTNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KXIXHV" ,
  "KXI_Host_Memory_Util_High" ,
  "Y" ,
  "1110525000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KXIXHV"
 AND OBJNAME = "KXI_Host_License_Expired"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KXI_Host_License_Expired"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kxi:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KXIXHV         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1110525000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KXI_HOST_DETAILS.days_until_expiration *LE 0",
"E",
"0",
"120000",
"*NONE",
"KXI_Host_License_Expired",
"Kxi:KXI1013",
"NNN",
"ATOM=KXIHVHODET.HOSTNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KXIXHV" ,
  "KXI_Host_License_Expired" ,
  "Y" ,
  "1110525000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KXIXHV"
 AND OBJNAME = "KXI_Host_License_Expired_Warn"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KXI_Host_License_Expired_Warn"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kxi:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KXIXHV         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1110525000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KXI_HOST_DETAILS.days_until_expiration *LE 14 *AND *VALUE
 KXI_HOST_DETAILS.days_until_expiration *GT 0",
"E",
"0",
"120000",
"*NONE",
"KXI_Host_License_Expired_Warn",
"Kxi:KXI1014",
"NNN",
"ATOM=KXIHVHODET.HOSTNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KXIXHV" ,
  "KXI_Host_License_Expired_Warn" ,
  "Y" ,
  "1110525000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
